Bug 27839 - KDE does not work in a VNC session.
Summary: KDE does not work in a VNC session.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-15 21:33 UTC by stephan schutter
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-13 11:01:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description stephan schutter 2001-02-15 21:33:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; MSN 6.0)


When connecting to RHL Fisher via a VNC session most or all KDE 2.X apps 
segfault.

Reproducible: Always
Steps to Reproduce:
1. Install Fisher with KDE and Gnome or everything (make sure that vnc is 
selected for install as well.
2. telnet to you box and start vncserver
3. configure xstartup to start KDE (replace twm& with exec startkde)
4. configure another user to use gnome in the same way...
5. connect to the sessions and try to run KDE apps any way you want.
	

Actual Results:  KDE apps segfault

Expected Results:  that they run properly

Comment 1 Tim Waugh 2001-02-15 21:54:10 UTC
The work-around is to use a different colour depth than 8bpp.

Comment 2 Tim Waugh 2001-05-03 16:44:54 UTC
I haven't tried it, but I wonder if using '-cc 3' on the VNC server makes a 
difference.


Comment 3 Tim Waugh 2001-06-13 11:01:19 UTC
This is definitely not a VNC bug.  To reproduce without VNC:

startx -- -depth 8 -cc 4



Comment 4 Bernhard Rosenkraenzer 2002-04-10 18:55:32 UTC
Works in 3.0.0


Note You need to log in before you can comment on or make changes to this bug.